brevity-2.0.24-12.6.x86_64.rpm


Advertisement

Description

brevity - Pegasus Client SDK

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename brevity-2.0.24-12.6.x86_64.rpm
Package name brevity
Package version 2.0.24
Package release 12.6
Package architecture x86_64
Package type rpm
Category System/Management
Homepage http://cimple.org
License MIT
Maintainer -
Download size 45.84 KB
Installed size 150.73 KB
Brevity is a software development kit for Pegasus (tog-pegasus) clients

Alternatives

Package Version Architecture Repository
brevity-2.0.24-12.6.i586.rpm 2.0.24 i586 openSUSE Oss
brevity - - -

Requires

Name Value
cimple = 2.0.24
cimple-devel = 2.0.24
cimple-pegasus-adapter = 2.0.24
libc.so.6(GLIBC_2.4)(64bit) -
libcimple.so()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libpegclient.so.1()(64bit) -
libpegcommon.so.1()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
tog-pegasus-devel -

Provides

Name Value
brevity = 2.0.24-12.6
brevity(x86-64) = 2.0.24-12.6
libbrevity.so()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package brevity-2.0.24-12.6.x86_64.rpm
Source Package cimple-2.0.24-12.6.src.rpm

Install Howto

Install brevity rpm package:

# zypper install brevity

Files

Path
/usr/include/brevity/Client.h
/usr/include/brevity/Instance_Enum.h
/usr/include/brevity/Instance_Enum_Rep.h
/usr/include/brevity/Instance_Name_Enum.h
/usr/include/brevity/Instance_Name_Enum_Rep.h
/usr/include/brevity/brevity.h
/usr/include/brevity/defines.h
/usr/include/brevity/linkage.h
/usr/lib64/libbrevity.so

Changelog

2016-06-18 - kkaempf@suse.com
- add cimple-2.0.24-gcc6.patch for GCC6.
2015-06-02 - kkaempf@suse.com
- add %check section to spec file
2015-03-19 - kkaempf@suse.com
- merge with cimple-pegasus, build tog-pegasus specifics now
add install-cimlisten.patch
- split off brevity, pegasus-adapter, and cmpi-adapter
as sub-packages
2014-07-29 - dvaleev@suse.com
- Fix build on PowerPC little endian
- added patches:
* ppc64le-support.patch
2013-04-16 - schwab@suse.de
- aarch64-support: Add support for aarch64
* aarch64-support.patch
2012-11-16 - kkaempf@suse.com
- Fix build for older SUSE distros
2012-11-12 - cfarrell@suse.com
- license update: MIT
Use SPDX syntax for License line in spec file
(http://www.spdx.org/licenses)
2012-11-09 - kkaempf@suse.com
- Clean up behind spec-cleaner, %make_install is SUSE-specific
2012-11-09 - aj@suse.de
- Run through spec-cleaner.
2012-11-05 - kkaempf@suse.com
- Update to 2.0.24
This is a minor release issued correct an error found in the
association operation with the PegasusAdapter and an error introduced
in 2.0.22 in genmod. The genmod error would be evidenced by a users in
inability to register providers with regmod to OpenPegasus. It is
recommended that vesion 2.0.22 users upgrade to this verison of
SimpleWbem. Note that version 2.0.22 introduced a new configuration
parameter that allows users to control use of the macros that generate
log entries

See Also

Package Description
bridge-utils-1.6-1.7.i586.rpm Utilities for Configuring the Linux Ethernet Bridge
bridge-utils-1.6-1.7.x86_64.rpm Utilities for Configuring the Linux Ethernet Bridge
bridge-utils-devel-1.6-1.7.i586.rpm Development files for bridge-utils
bridge-utils-devel-1.6-1.7.x86_64.rpm Development files for bridge-utils
brise-0.36+git20160221.7dbd56b-2.8.i586.rpm Rime Input Schemas Collection
brise-0.36+git20160221.7dbd56b-2.8.x86_64.rpm Rime Input Schemas Collection
brisk-menu-0.5.0-1.6.i586.rpm Modern, efficient menu for MATE
brisk-menu-0.5.0-1.6.x86_64.rpm Modern, efficient menu for MATE
brisk-menu-lang-0.5.0-1.6.noarch.rpm Translations for package brisk-menu
brlapi-devel-6.0-2.3.i586.rpm Library to use BRLTTY from applications -- Development Files
brlapi-devel-6.0-2.3.x86_64.rpm Library to use BRLTTY from applications -- Development Files
brlapi-java-6.0-2.3.i586.rpm Library to use BRLTTY from applications -- Java Bindings
brlapi-java-6.0-2.3.x86_64.rpm Library to use BRLTTY from applications -- Java Bindings
brlemu-0.1-61.6.i586.rpm Emulates a braille display
brlemu-0.1-61.6.x86_64.rpm Emulates a braille display
Advertisement
Advertisement